Gecode::Float::Rel::NaryEq< View > Class Template Reference
Other available functionality » Float propagators

n-ary bounds consistent equality propagator More...

`#include <rel.hh>`

## Public Member Functions

virtual Actor * | copy (Space &home)
| Copy propagator during cloning.
virtual PropCost | cost (const Space &home, const ModEventDelta &med) const
| Cost function.
virtual ExecStatus | propagate (Space &home, const ModEventDelta &med)
| Perform propagation.
Public Member Functions inherited from Gecode::NaryPropagator< View, PC_FLOAT_BND >
virtual void | reschedule (Space &home)
| Schedule function.
virtual size_t | dispose (Space &home)
| Delete propagator and return its size.
ModEventDelta | modeventdelta (void) const
| Return the modification event delta.
virtual ExecStatus | advise (Space &home, Advisor &a, const Delta &d)
| Advise function.
virtual void | advise (Space &home, Advisor &a)
| Run advisor a to be run on failure in failed space.
double | afc (void) const
| Return the accumlated failure count.
unsigned int | id (void) const
| Return propagator id.
PropagatorGroup | group (void) const
| Return group propagator belongs to.
void | group (PropagatorGroup g)
| Add propagator to group g.
bool | disabled (void) const
| Whether propagator is currently disabled.
virtual | ~Actor (void)
| To avoid warnings.

## Static Public Member Functions

static ExecStatus | post (Home home, ViewArray< View > &x)
| Post bounds consistent propagator .
static void * | operator new (size_t s, Space &home)
| Allocate memory from space.
static void | operator delete (void *p, Space &home)
| No-op for exceptions.
static void * | operator new (size_t s)
| Not used.
static void | operator delete (void *p)
| Not used.

## Protected Member Functions

| NaryEq (Space &home, NaryEq< View > &p)
| Constructor for cloning p.
| NaryEq (Home home, ViewArray< View > &)
| Constructor for posting.
Protected Member Functions inherited from Gecode::NaryPropagator< View, PC_FLOAT_BND >
| NaryPropagator (Space &home, NaryPropagator &p)
| Constructor for cloning p.
Protected Member Functions inherited from Gecode::Propagator
| Propagator (Home home)
| Constructor for posting.
| Propagator (Space &home, Propagator &p)
| Constructor for cloning p.
Propagator * | fwd (void) const
| Return forwarding pointer during copying.
Kernel::GPI::Info & | gpi (void)
| Provide access to global propagator information.

## Additional Inherited Members

Protected Attributes inherited from Gecode::NaryPropagator< View, PC_FLOAT_BND >
ViewArray< View > | x
| Array of views.

## Detailed Description

template<class View>
class Gecode::Float::Rel::NaryEq< View >

n-ary bounds consistent equality propagator

Requires

#include <gecode/float/rel.hh>
rel.hh

Definition at line 94 of file rel.hh.

## Constructor & Destructor Documentation

## NaryEq() [1/2]

template<class View>

Gecode::Float::Rel::NaryEq< View >::NaryEq | ( | Space & | home,
|  | NaryEq< View > & | p )

inline protected

Constructor for cloning p.

Definition at line 141 of file eq.hpp.

## NaryEq() [2/2]

template<class View>

Gecode::Float::Rel::NaryEq< View >::NaryEq | ( | Home | home,
|  | ViewArray< View > & | x )

inline protected

Constructor for posting.

Definition at line 114 of file eq.hpp.

## Member Function Documentation

## copy()

template<class View>

Actor * Gecode::Float::Rel::NaryEq< View >::copy | ( | Space & | home | ) |

virtual

Copy propagator during cloning.

Implements Gecode::Actor.

Definition at line 146 of file eq.hpp.

## cost()

template<class View>

PropCost Gecode::Float::Rel::NaryEq< View >::cost | ( | const Space & | home,
|  | const ModEventDelta & | med ) const

virtual

Cost function.

If a view has been assigned, the cost is low unary. Otherwise it is low linear.

Reimplemented from Gecode::NaryPropagator< View, PC_FLOAT_BND >.

Definition at line 152 of file eq.hpp.

## propagate()

template<class View>

ExecStatus Gecode::Float::Rel::NaryEq< View >::propagate | ( | Space & | home,
|  | const ModEventDelta & | med )

virtual

Perform propagation.

Implements Gecode::Propagator.

Definition at line 161 of file eq.hpp.

## post()

template<class View>

ExecStatus Gecode::Float::Rel::NaryEq< View >::post | ( | Home | home,
|  | ViewArray< View > & | x )

static

Post bounds consistent propagator .

Definition at line 119 of file eq.hpp.

The documentation for this class was generated from the following files:

- gecode/float/rel.hh
- gecode/float/rel/eq.hpp